# MatSeqAIJGetInodeSizes

Returns the inode information of the SeqAIJ matrix.

### Synopsis

    PetscErrorCode MatSeqAIJGetInodeSizes(Mat A,PetscInt *node_count,PetscInt *sizes[],PetscInt *limit)

Collective on Mat

### Input Parameter

A -the SeqAIJ matrix.

### Output Parameter

| node_count | - no of inodes present in the matrix.
| sizes | - an array of size node_count,with sizes of each inode.
| limit | - the max size used to generate the inodes.

Notes: This routine returns some internal storage information of the matrix, it is intended to be used by advanced users. It should be called after the matrix is assembled. The contents of the sizes[] array should not be changed.

### Keywords

matrix, seqaij, get, inode

### See Also

MatGetInfo()

Level:advanced
Location:src/mat/impls/aij/seq/aijnode.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages